package net.minecraft.src;

import java.util.Map;

// SDK ModLoader
public abstract class BaseModMp extends BaseMod {
	public final int getId() { return this.toString().hashCode(); }
	
	static { ModLoaderMp.Init(); }

    /**
     * Only need to add the basest class as long as you want them all treated
     * the same. E.g. If you add Entity, you've added all entities. For the
     * first integer, all blocks and living entities are 160, all projectiles
     * are 64. The second integer is the update delay, lower means more updates.
     */
	public void AddEntityTrackers(Map<Class, Pair<Integer, Integer>> map) { }
	public void AddEntityTrackerEntries(Map<Class, Integer> map) { }
	public void HandlePacket(Packet200ModLoader packet200ModLoader, EntityPlayerMP entityPlayerMp) { }
	public void HandleLogin(EntityPlayerMP entityPlayerMp) { }
}
